import BibtexParser from "../components/makeSources";

export default function MethodSources(){
    return (
        <div>
          <BibtexParser bibtexSources={bibtexSources} />
        </div>
      );
}


const bibtexSources = [
`
@article{article,
	title        = {Die Entwicklung der Patch-Clamp-Technik},
	author       = {Roth, F. C., Numberger, M., and Draguhn, A.},
	year         = 2023,
	month        = {{}},
	journal      = {Springer eBooks},
	volume       = {{}},
	pages        = {1--14},
	doi          = {10.1007/978-3-662-66053-9}
}`,

`
@book{dallas_patch_2021,
	title        = {Patch clamp electrophysiology: methods and protocols},
	shorttitle   = {Patch clamp electrophysiology},
	year         = 2021,
	publisher    = {Humana Press},
	address      = {New York},
	series       = {Methods in molecular biology},
	number       = 2188,
	isbn         = {978-1-07-160818-0},
	language     = {en},
	editor       = {Dallas, Mark and Bell, Damian}
}
    `,
    `
@article{PRIEL20073893,
	title        = {
		Ionic Requirements for Membrane-Glass Adhesion and Giga Seal Formation in
		Patch-Clamp Recording
	},
	author       = {
		Avi Priel and Ziv Gil and Vincent T. Moy and Karl L. Magleby and Shai D.
		Silberberg
	},
	year         = 2007,
	journal      = {Biophysical Journal},
	volume       = 92,
	number       = 11,
	pages        = {3893--3900},
	doi          = {10.1529/biophysj.106.099119},
	issn         = {0006-3495},
	url          = {https://www.sciencedirect.com/science/article/pii/S000634950771189X},
	abstract     = {
		Patch-clamp recording has revolutionized the study of ion channels,
		transporters, and the electrical activity of small cells. Vital to this
		method is formation of a tight seal between glass recording pipette and cell
		membrane. To better understand seal formation and improve practical
		application of this technique, we examine the effects of divalent ions,
		protons, ionic strength, and membrane proteins on adhesion of membrane to
		glass and on seal resistance using both patch-clamp recording and atomic
		force microscopy. We find that H+, Ca2+, and Mg2+ increase adhesion force
		between glass and membrane (lipid and cellular), decrease the time required
		to form a tight seal, and increase seal resistance. In the absence of H+
		(10−10M) and divalent cations (<10−8M), adhesion forces are greatly reduced
		and tight seals are not formed. H+ (10−7M) promotes seal formation in the
		absence of divalent cations. A positive correlation between adhesion force
		and seal formation indicates that high resistance seals are associated with
		increased adhesion between membrane and glass. A similar ionic dependence of
		the adhesion of lipid membranes and cell membranes to glass indicates that
		lipid membranes without proteins are sufficient for the action of ions on
		adhesion.
	}
}
`,
`
@article{10.3389/fphar.2017.00195,
	title        = {
		Development of Automated Patch Clamp Technique to Investigate CFTR Chloride
		Channel Function
	},
	author       = {
		Billet, Arnaud  and Froux, Lionel  and Hanrahan, John W.  and Becq, Frederic
	},
	year         = 2017,
	journal      = {Frontiers in Pharmacology},
	volume       = 8,
	doi          = {10.3389/fphar.2017.00195},
	issn         = {1663-9812},
	url          = {
		https://www.frontiersin.org/journals/pharmacology/articles/10.3389/fphar.2017.00195
	}
}
`,
`
@article{DuBridge_Tang_Hsia_Leong_Miller_Calos_1987,
	title        = {
		Analysis of mutation in human cells by using an Epstein-Barr virus shuttle
		system.
	},
	author       = {
		DuBridge, R B and Tang, P and Hsia, H C and Leong, P M and Miller, J H and
		Calos, M P
	},
	year         = 1987,
	month        = jan,
	journal      = {Molecular and Cellular Biology},
	volume       = 7,
	number       = 1,
	pages        = {379–387},
	issn         = {0270-7306},
	abstractnote = {
		We developed highly sensitive shuttle vector systems for detection of
		mutations formed in human cells using autonomously replicating derivatives of
		Epstein-Barr virus (EBV). EBV vectors carrying the bacterial lacI gene as the
		target for mutation were established in human cells and later returned to
		Escherichia coli for rapid detection and analysis of lacI mutations. The
		majority of the clonal cell lines created by establishment of the lacI-EBV
		vector show spontaneous LacI- frequencies of less than 10(-5) and are
		suitable for studies of induced mutation. The ability to isolate clonal lines
		represents a major advantage of the EBV vectors over transiently replicating
		shuttle vectors (such as those derived from simian virus 40) for the study of
		mutation. The DNA sequence changes were determined for 61 lacI mutations
		induced by exposure of one of the cell lines to N-nitroso-N-methylurea. A
		total of 33 of 34 lacI nonsense mutations and 26 of 27 missense mutations
		involve G X C to A X T transitions. These data provide support for the
		mutational theory of cancer.
	}
}
`,
`
@article{Qin_Zhang_Clift_Hulur_Xiang_Ren_Lahn_2010,
	title        = {
		Systematic Comparison of Constitutive Promoters and the Doxycycline-Inducible
		Promoter
	},
	author       = {
		Qin, Jane Yuxia and Zhang, Li and Clift, Kayla L. and Hulur, Imge and Xiang,
		Andy Peng and Ren, Bing-Zhong and Lahn, Bruce T.
	},
	year         = 2010,
	month        = may,
	journal      = {PLOS ONE},
	publisher    = {Public Library of Science},
	volume       = 5,
	number       = 5,
	pages        = {e10611},
	doi          = {10.1371/journal.pone.0010611},
	issn         = {1932-6203},
	abstractnote = {
		Constitutive promoters are used routinely to drive ectopic gene expression.
		Here, we carried out a systematic comparison of eight commonly used
		constitutive promoters (SV40, CMV, UBC, EF1A, PGK and CAGG for mammalian
		systems, and COPIA and ACT5C for Drosophila systems). We also included in the
		comparison the TRE promoter, which can be activated by the rtTA
		transcriptional activator in a doxycycline-inducible manner. To make our
		findings representative, we conducted the comparison in a variety of cell
		types derived from several species. We found that these promoters vary
		considerably from one another in their strength. Most promoters have fairly
		consistent strengths across different cell types, but the CMV promoter can
		vary considerably from cell type to cell type. At maximal induction, the TRE
		promoter is comparable to a strong constitutive promoter. These results
		should facilitate more rational choices of promoters in ectopic gene
		expression studies.
	},
	language     = {en}
}
`,
`
@article{BULCAEN2024101544,
title = {Prime editing functionally corrects cystic fibrosis-causing CFTR mutations in human organoids and airway epithelial cells},
journal = {Cell Reports Medicine},
volume = {5},
number = {5},
pages = {101544},
year = {2024},
issn = {2666-3791},
doi = {https://doi.org/10.1016/j.xcrm.2024.101544},
url = {https://www.sciencedirect.com/science/article/pii/S2666379124002349},
author = {Mattijs Bulcaen and Phéline Kortleven and Ronald B. Liu and Giulia Maule and Elise Dreano and Mairead Kelly and Marjolein M. Ensinck and Sam Thierie and Maxime Smits and Matteo Ciciani and Aurelie Hatton and Benoit Chevalier and Anabela S. Ramalho and Xavier {Casadevall i Solvas} and Zeger Debyser and François Vermeulen and Rik Gijsbers and Isabelle Sermet-Gaudelus and Anna Cereseto and Marianne S. Carlon},
keywords = {cystic fibrosis, prime editing, patient-derived organoids, human nasal epithelial cells, gene editing, machine learning, DETEOR, CRISPR},
abstract = {Summary
Prime editing is a recent, CRISPR-derived genome editing technology capable of introducing precise nucleotide substitutions, insertions, and deletions. Here, we present prime editing approaches to correct L227R- and N1303K-CFTR, two mutations that cause cystic fibrosis and are not eligible for current market-approved modulator therapies. We show that, upon DNA correction of the CFTR gene, the complex glycosylation, localization, and, most importantly, function of the CFTR protein are restored in HEK293T and 16HBE cell lines. These findings were subsequently validated in patient-derived rectal organoids and human nasal epithelial cells. Through analysis of predicted and experimentally identified candidate off-target sites in primary stem cells, we confirm previous reports on the high prime editor (PE) specificity and its potential for a curative CF gene editing therapy. To facilitate future screening of genetic strategies in a translational CF model, a machine learning algorithm was developed for dynamic quantification of CFTR function in organoids (DETECTOR: “detection of targeted editing of CFTR in organoids”).}
}
new8.
@article{Ensinck_Deeersmaecker_Heylen_Ramalho_Gijsbers_Far,
	title        = {
		Phenotyping of Rare CFTR Mutations Reveals Distinct Trafficking and
		Functional Defects
	},
	author       = {
		Ensinck, Marjolein and De Keersmaecker, Liesbeth and Heylen, Lise and
		Ramalho, Anabela S. and Gijsbers, Rik and Farré, Ricard and De Boeck, Kris
		and Christ, Frauke and Debyser, Zeger and Carlon, Marianne S.
	},
	year         = 2020,
	month        = mar,
	journal      = {Cells},
	volume       = 9,
	number       = 3,
	pages        = 754,
	doi          = {10.3390/cells9030754},
	issn         = {2073-4409},
	abstractnote = {
		Background. The most common CFTR mutation, F508del, presents with multiple
		cellular defects. However, the possible multiple defects caused by many rarer
		CFTR mutations are not well studied. We investigated four rare CFTR mutations
		E60K, G85E, E92K and A455E against well-characterized mutations, F508del and
		G551D, and their responses to corrector VX-809 and/or potentiator VX-770.
		Methods. Using complementary assays in HEK293T stable cell lines, we
		determined maturation by Western blotting, trafficking by flow cytometry
		using extracellular 3HA-tagged CFTR, and function by halide-sensitive YFP
		quenching. In the forskolin-induced swelling assay in intestinal organoids,
		we validated the effect of tagged versus endogenous CFTR. Results. Treatment
		with VX-809 significantly restored maturation, PM localization and function
		of both E60K and E92K. Mechanistically, VX-809 not only raised the total
		amount of CFTR, but significantly increased the traffic efficiency, which was
		not the case for A455E. G85E was refractory to VX-809 and VX-770 treatment.
		Conclusions. Since no single model or assay allows deciphering all defects at
		once, we propose a combination of phenotypic assays to collect rapid and
		early insights into the multiple defects of CFTR variants.
	},
	language     = {eng}
}
`,
`
@misc{ignatova2023,
  author       = {Zoya Ignatova},
  title        = {Research Group Ignatova at the Institute of Biochemistry and Molecular Biology},
  year         = {2023},
  howpublished = {Hamburg University},
  note         = {Accessed: 28 September 2024},
  institution  = {University of Hamburg},
}

`,
`@article{ehrhardt_towards_2006,
	title        = {Towards an in vitro model of cystic fibrosis small airway epithelium: characterisation of the human bronchial epithelial cell line {CFBE41o}-},
	shorttitle   = {Towards an in vitro model of cystic fibrosis small airway epithelium},
	author       = {Ehrhardt, Carsten and Collnot, Eva-Maria and Baldes, Christiane and Becker, Ulrich and Laue, Michael and Kim, Kwang-Jin and Lehr, Claus-Michael},
	year         = 2006,
	month        = mar,
	journal      = {Cell and Tissue Research},
	volume       = 323,
	number       = 3,
	pages        = {405--415},
	doi          = {10.1007/s00441-005-0062-7},
	issn         = {0302-766X, 1432-0878},
	url          = {http://link.springer.com/10.1007/s00441-005-0062-7},
	urldate      = {2024-09-09},
	copyright    = {http://www.springer.com/tdm},
	language     = {en},
	file         = {Ehrhardt et al. - 2006 - Towards an in vitro model of cystic fibrosis small.pdf:C\:\\Users\\Isabell\\Zotero\\storage\\RXLMCE3V\\Ehrhardt et al. - 2006 - Towards an in vitro model of cystic fibrosis small.pdf:application/pdf}
}
`
,
`
@book{Mennella_2024,
	title        = {Cilia: methods and protocols},
	year         = 2024,
    author       = {Mennella, Vito},
	publisher    = {Humana Press},
	address      = {New York, NY},
	isbn         = {978-1-07-163507-0},
	abstractnote = {
		This volume covers the latest advancements in the study of ciliary
		complexity. Protocols cover genomic, proteomic, imaging, and functional
		analysis of different ciliated tissues and their wide applicability in cilia
		biology. Chapters in this book primarily focus on methods to study
		multiciliated cells, and discuss topics such as SARS-CoV-2 infections of
		human primary nasal multiciliated epithelial cells; expansion microscopy of
		ciliary proteins; live-imaging centriole amplification in mouse brain
		multiciliated cells; biophysical properties of cilia motility; and
		mucociliary transport device construction. Written in the highly successful
		Methods in Molecular Biology series format, chapters include introductions to
		their respective topics, lists of the necessary materials and reagents,
		step-by-step, readily reproducible laboratory protocols, and tips on
		troubleshooting and avoiding known pitfalls. Cutting-edge and thorough,
		Cilia: Methods and Protocols is a valuable resource for researchers who are
		interested in learning more about this developing field.
	},
	language     = {eng}
}
`
]